aboutsummaryrefslogtreecommitdiff
path: root/test-scenarios/install_additional_python.sh
diff options
context:
space:
mode:
authorSamruddhi Khandale <skhandale@microsoft.com>2022-07-01 21:51:06 +0300
committerGitHub <noreply@github.com>2022-07-01 21:51:06 +0300
commit7f551f8c2f1129d6485088196bfeb28ff5ee3230 (patch)
tree6e727432a0b39ee80ed86c4a34d6b5cf081c6ba5 /test-scenarios/install_additional_python.sh
parent69cba4ffad425e082f36d8fee3101090ccda896c (diff)
Python: Install additional versions (#58)
* additional install * update test * nit * fix test Co-authored-by: Josh Spicer <joshspicer@github.com>
Diffstat (limited to 'test-scenarios/install_additional_python.sh')
-rw-r--r--test-scenarios/install_additional_python.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/test-scenarios/install_additional_python.sh b/test-scenarios/install_additional_python.sh
new file mode 100644
index 0000000..b0393d3
--- /dev/null
+++ b/test-scenarios/install_additional_python.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+# Optional: Import test library
+source dev-container-features-test-lib
+
+check "python version 3.10.5 installed as default" python --version | grep 3.10.5
+check "python3 version 3.10.5 installed as default" python3 --version | grep 3.10.5
+check "python version 3.8.13 installed" ls -l /usr/local/python | grep 3.8.13
+check "python version 3.9.13 installed" ls -l /usr/local/python | grep 3.9.13
+
+# Report result
+reportResults